<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Listas</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Listas</h1>
    </section>   

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ul</span></h2>
      <ul class="lista">
        <li>Lista desordenada</li>
        <li>Elemento de bloque</li>
      </ul>
      <h4 class="pt-05"><span class="etiqueta">li</span></h4>
      <ul class="lista">
        <li>elemento de la lista</li>
      </ul>
      <h4>Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ul</span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ul</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ul class="font-size2 text-left">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ul>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <ul class="lista">
        <li>Lista ordenada</li>
        <li>Elemento de bloque</li>
      </ul>
      <h4 class="pt-05"><span class="etiqueta">li</span></h4>
      <ul class="lista">
        <li>elemento de la lista</li>
      </ul>
      <h4>Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol</span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: reversed</h3>
      <ul class="lista">
        <li>orden descendente</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">reversed</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" reversed>
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: start</h3>
      <ul class="lista">
        <li>número por el que empieza</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">start</span><span class="valor">="8"</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" start="8">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: type (1/5)</h3>
      <ul class="lista">
        <li><b>1</b>: numérico (por defecto)</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">type</span><span class="valor">="1"</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" type="1">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: type (2/5)</h3>
      <ul class="lista">
        <li><b>a</b>: por letras minúsculas</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">type</span><span class="valor">="a"</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" type="a">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: type (3/5)</h3>
      <ul class="lista">
        <li><b>A</b>: por letras mayúsculas</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">type</span><span class="valor">="A"</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" type="A">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: type (4/5)</h3>
      <ul class="lista">
        <li><b>i</b>: por números romanos en minúsculas</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">type</span><span class="valor">="i"</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" type="i">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">ol</span></h2>
      <h3>Atributos: type (5/5)</h3>
      <ul class="lista">
        <li><b>I</b>: por números romanos en mayúsculas</li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol <span class="atributo">type</span><span class="valor">="I"</span></span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body<span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
      <h4>Resultado:</h4>
        <ol class="font-size2 text-left" type="I">
          <li>html</li>
          <li>head</li>
          <li>body</li>
        </ol>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Listas anidadas</h2>
      <ul class="lista">
        <li>Meter la nueva lista entre <span class="etiqueta">li</span> y <span class="etiqueta">/li</span></li>
      </ul>
      <h4 class="pt-05">Ejemplo:</h4>
      <div class="float-left w-50">
        <h4>Código:</h4>
        <pre><code><span class="etiqueta">ol</span>
  <span class="etiqueta">li</span>html<span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>head
    <span class="etiqueta">ul</span>
      <span class="etiqueta">li</span>meta<span class="etiqueta">/li</span>
      <span class="etiqueta">li</span>title<span class="etiqueta">/li</span>
    <span class="etiqueta">/ul</span>
  <span class="etiqueta">/li</span>
  <span class="etiqueta">li</span>body
    <span class="etiqueta">ul</span>
      <span class="etiqueta">li</span>p<span class="etiqueta">/li</span>
      <span class="etiqueta">li</span>blockquote<span class="etiqueta">/li</span>
    <span class="etiqueta">/ul</span>
  <span class="etiqueta">/li</span>
<span class="etiqueta">/ol</span></code></pre>
      </div>
      <div class="float-left w-50">
        <h4>Resultado:</h4>
        <ol class="font-size2 text-left w-50 float-right">
          <li>html</li>
          <li>head
            <ul class="sub-lista">
              <li>meta</li>
              <li>title</li>
            </ul>
          </li>
          <li>body
            <ul class="sub-lista">
              <li>p</li>
              <li>blockquote</li>
            </ul>
          </li>
        </ol>
      </div>
    </section>

    <section class="no-print pt-2" data-bespoke-state='pre-progress clean'>
      <h2>Ejercicio</h2>
      <div style="box-sizing: border-box; display: flex; height: 100%; padding: 1em; justify-content: center;">
        <a href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio2/img/resultado.png?inline=false" target="_blank">
          <img class="h-full" src="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio2/img/resultado.png?inline=false">
        </a>
      </div>
      

      
    </section>    
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>